import {
	reactive,
	ref,
	toRefs
} from "vue";
import {
	onLoad
} from '@dcloudio/uni-app'
import request from "@/utils/request.js"
import {catchError} from "@/utils/common.js"

export function useCatalogue() {
	const data = reactive({
		xueqi: null,
		nianji: null
	})

	onLoad((options = {}) => {
		const {
			xueqi,
			nianji
		} = options;
		data.nianji = nianji;
		data.xueqi = xueqi;
	})


	function httpGetCatalogue() {
		return request({
			url: "/common/zhangjie/list",
			method: "POST",
			data: {
				nianji: +data.nianji,
				xueqi: +data.xueqi
			}
		})
	}

	async function getCatalogue() {
		return await catchError(httpGetCatalogue());
	}

	return {
		...toRefs(data),

		// 获取章节数据
		getCatalogue
	}
}

